com.virtual.tour.road.com.virtual.tour.road.model

## Class InformacionMusica

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.InformacionMusica

-     public class InformacionMusica
      extends java.lang.Object

  Created by Carolina Bonnin on 25/05/2015. Clase compartida entre las activities con la informacion necesaria para gestionar el reproductor de musica correctamente.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static InformacionMusica` | `informacionMusica`
    `boolean` | `playing`
    `boolean` | `propia`
    `java.util.ArrayList<Song>` | `songList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformacionMusica()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InformacionMusica` | `getInstance()`
    `java.util.ArrayList<Song>` | `getSongList()`
    `boolean` | `isPlaying()`
    `boolean` | `isPropia()`
    `void` | `setPlaying(boolean p)`
    `void` | `setPropia(boolean propia)`
    `void` | `setSongList(java.util.ArrayList<Song> songList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### informacionMusica

          private static final InformacionMusica informacionMusica

    - #### playing

          public boolean playing

    - #### propia

          public boolean propia

    - #### songList

          public java.util.ArrayList<Song> songList

  - ### Constructor Detail

    - #### InformacionMusica

          public InformacionMusica()

  - ### Method Detail

    - #### getInstance

          public static InformacionMusica getInstance()

    - #### getSongList

          public java.util.ArrayList<Song> getSongList()

    - #### isPlaying

          public boolean isPlaying()

    - #### isPropia

          public boolean isPropia()

    - #### setPlaying

          public void setPlaying(boolean p)

    - #### setPropia

          public void setPropia(boolean propia)

    - #### setSongList

          public void setSongList(java.util.ArrayList<Song> songList)